Subject: Re: bug#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Jul 2014 12:46:26 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 18 Jul 2014 11:37:19 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > could I please get my `ls-lisp-string-lessp' defined as a function?
> >
> > You can always redefine the functions that call it, no?
> 
> That would cover the whole switch processing algorithm,
> `ls-lisp-handle-switches', 60 lines of code.  I would shadow any future
> change in that code by redefining that huge function.  That's why I
> wanted to avoid that.

You are going to override the behavior of the package anyway, so I
don't see the big difference.

> What's the advantage of `ls-lisp-string-lessp' being a defsubst?

>From my POV, making sure the package always behaves as designed, I
guess.  You agreed with my motivation, so it sounds like a
contradiction to me to still push for the change.

Anyway, if others think the comparison of file names should be up for
grabs, I won't fight the change just because I think it's wrong.